Name: H5Tget_sign
Signature:
  H5T_sign_t `H5Tget_sign`(hid_t `type_id` )
Purpose:
  Retrieves the sign type for an integer type.
Description:
  `H5Tget_sign` retrieves the sign type for an integer type. Valid types are:
  H5T_SGN_NONE (`0`)
    Unsigned integer type.
  H5T_SGN_2 (`1`)
    Two's complement signed integer type.
Parameters:

hid_t `type_id` | Identifier of datatype to query.

Returns:
  Returns a valid sign type if successful; otherwise `H5T_SGN_ERROR` (-1).
Fortran90 Interface: h5tget_sign_f

      SUBROUTINE h5tget_sign_f(type_id, sign, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id  ! Datatype identifier
        INTEGER, INTENT(OUT) :: sign           ! Sign type for an integer type
                                               ! Possible values are:
                                               !    Unsigned integer type
                                               !        H5T_SGN_NONE_F = 0
                                               !    Two's complement signed
                                               !        integer type
                                               !        H5T_SGN_2_F = 1
                                               !    or error value
                                               !         H5T_SGN_ERROR_F = -1
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
      END SUBROUTINE h5tget_sign_f